Subject: Re: bug#23765: 24.5; exco-calendar-show-day calls user-error if org-startup-with-latex-preview
From: Thomas Fitzsimmons <[email-masked]>
To: "Sniffen\, Brian" <[email-masked]>
Cc: [email-masked]
Date: Thu, 16 Jun 2016 22:13:54 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

"Sniffen, Brian" <[email-masked]> writes:

> ˘
>> On Jun 14, 2016, at 10:24 PM, Thomas Fitzsimmons <[email-masked]> wrote:
>> 
>> Hi Brian,
>> 
>> "Brian T. Sniffen" <[email-masked]> writes:
>> 
>>> With org-startup-with-latex-preview set to non-nil, M-x excorporate, work
>>> through autoconfiguration, then M-x calendar.  Hit 'e'.  Get told
>>> "user-error: Can't preview LaTeX fragment in a non-file buffer".
>>> 
>>> Unset org-startup-with-latex-preview, then go back to calendar and hit
>>> 'e'.  See pretty org-mode calendar.
>> 
>> Thanks for the report.  I just pushed a fix, in Excorporate 0.7.4.  It
>> should hit GNU ELPA overnight.  Can you update and confirm it fixes the
>> bug?
>
> That works.

I noticed that with the fix, C-x s (save-some-buffers) always prompts
about *Excorporate*.  I pushed 0.7.5 to prevent that (while still fixing
your issue).  I'm marking this bug report as "done".

> Thanks for the great software; I’m excited about having one command to
> predict where I am, get the invitees, tell my phone to dial in, and
> give me a buffer for notes.

Sounds good; a feature I have planned (retrieve message body) should
help with some of these.

Thomas